Subject: Re: [PATCH] Do not update sysfs cpu registration from invalid context

From: Nathan Fontenot <[email-masked]>
Date: Mon, 24 Jun 2013 21:47:15 -0500

On 06/24/2013 08:50 PM, Michael Ellerman wrote:
> On Mon, Jun 24, 2013 at 09:14:23AM -0500, Nathan Fontenot wrote:
>> The topology update code that updates the cpu node registration in sysfs
>> should not be called while in stop_machine(). The register/unregister
>> calls take a lock and may sleep.
>>
>> This patch moves these calls outside of the call to stop_machine().
> 
> What happens? Do we lockup or do you just get a warning?
> 
> And what commit introduced the breakage?

Guilty on on all counts. Hopefully I can still get by with stern warning.

-Nathan